Up

# NSToolbar class documentation

### Authors

Generated by root

### Contents -

1. Software documentation for the NSToolbar class
2. Software documentation for the NSObject(NSToolbarDelegate) informal protocol

# Software documentation for the NSToolbar class

## NSToolbar : GSToolbar

> Declared in:
>   AppKit/NSToolbar.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -isVisible
- -setDisplayMode:
- -setSizeMode:
- -setVisible:

### isVisible

- (BOOL) isVisible;
Availability: OpenStep
Description forthcoming.

### setDisplayMode:

- (void) setDisplayMode: (NSToolbarDisplayMode)displayMode;
Availability: OpenStep
Sets the receivers delegate... this is the object which will receive -toolbar:itemForItemIdentifier:willBeInsertedIntoToolbar: -toolbarAllowedItemIdentifiers: and -toolbarDefaultItemIdentifiers: messages.

### setSizeMode:

- (void) setSizeMode: (NSToolbarSizeMode)sizeMode;
Availability: OpenStep
Description forthcoming.

### setVisible:

- (void) setVisible: (BOOL)shown;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSToolbar Class

### _visible

@protected BOOL _visible;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _window

@protected NSWindow* _window;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSObject(NSToolbarDelegate) informal protocol

## NSObject(NSToolbarDelegate)

> Declared in:
>   AppKit/NSToolbar.h

Availability: OpenStep
Description forthcoming.
Method summary

- -toolbar:itemForItemIdentifier:willBeInsertedIntoToolbar:
- -toolbarAllowedItemIdentifiers:
- -toolbarDefaultItemIdentifiers:
- -toolbarSelectableItemIdentifiers:

### toolbar: itemForItemIdentifier: willBeInsertedIntoToolbar:

- (NSToolbarItem*) toolbar: (NSToolbar*)toolbar itemForItemIdentifier: (NSString*)itemIdentifier willBeInsertedIntoToolbar: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### toolbarAllowedItemIdentifiers:

- (NSArray*) toolbarAllowedItemIdentifiers: (NSToolbar*)toolbar;
Availability: OpenStep
Description forthcoming.

### toolbarDefaultItemIdentifiers:

- (NSArray*) toolbarDefaultItemIdentifiers: (NSToolbar*)toolbar;
Availability: OpenStep
Description forthcoming.

### toolbarSelectableItemIdentifiers:

- (NSArray*) toolbarSelectableItemIdentifiers: (NSToolbar*)toolbar;
Availability: OpenStep
Description forthcoming.

Up